playerc_gps_t Struct Reference
gps

GPS proxy data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
double | utc_time
| UTC time (seconds since the epoch)
double | lat
| Latitude and logitude (degrees). More...
double | lon
double | alt
| Altitude (meters). More...
double | utm_e
| UTM easting and northing (meters). More...
double | utm_n
double | hdop
| Horizontal dilution of precision. More...
double | vdop
| Vertical dilution of precision. More...
double | err_horz
| Horizontal and vertical error (meters). More...
double | err_vert
int | quality
| Quality of fix 0 = invalid, 1 = GPS fix, 2 = DGPS fix.
int | sat_count
| Number of satellites in view. More...

## Detailed Description

GPS proxy data.

## Member Data Documentation

double playerc_gps_t::alt

Altitude (meters).

Positive is above sea-level, negative is below.

double playerc_gps_t::err_horz

Horizontal and vertical error (meters).

double playerc_gps_t::hdop

Horizontal dilution of precision.

playerc_device_t playerc_gps_t::info

Device info; must be at the start of all device structures.

double playerc_gps_t::lat

Latitude and logitude (degrees).

Latitudes are positive for north, negative for south. Logitudes are positive for east, negative for west.

int playerc_gps_t::sat_count

Number of satellites in view.

double playerc_gps_t::utm_e

UTM easting and northing (meters).

double playerc_gps_t::vdop

Vertical dilution of precision.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45